%define api       0.4
%define major     0
%define libname   %mklibname visual %{api} %{major}
%define develname %mklibname visual -d

Name:           libvisual
Version:        0.4.2
Release:        %mkrel 2
Summary:        Audio visualisation framework
License:        LGPLv2+
Group:          System/Libraries
Url:            http://libvisual.org/
Source0:        https://github.com/Libvisual/libvisual/releases/download/libvisual-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(sdl)

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files
%{_bindir}/lv-tool-0.4
%{_mandir}/man1/lv-tool-0.4.1.*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Shared library of the audio visualisation framework
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Recommends:     libvisual-plugins

%description -n %{libname}
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %{libname} -f %{name}-%{api}.lang
%doc AUTHORS README NEWS TODO
%license COPYING
%{_libdir}/libvisual-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:        Header files of the audio visualisation framework
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       libvisual-devel = %{version}-%{release}

%description -n %{develname}
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %{develname}
%doc AUTHORS ChangeLog TODO
%license COPYING
%{_includedir}/libvisual-%{api}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvisual-%{api}.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --disable-static \
           --disable-examples
%make_build

%install
%make_install

%find_lang %{name}-%{api}


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.4.2-2.mga10
+ Revision: 2230680
- Mageia 10 Mass Rebuild

* Mon Dec 02 2024 daviddavid <daviddavid> 0.4.2-1.mga10
+ Revision: 2120661
- new version: 0.4.2

* Sun Mar 12 2023 daviddavid <daviddavid> 0.4.1-1.mga9
+ Revision: 1948685
- new version: 0.4.1
- update Url and Source Url

* Tue Mar 15 2022 umeabot <umeabot> 0.4.0-25.mga9
+ Revision: 1792884
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 joequant <joequant> 0.4.0-24.mga8
+ Revision: 1610999
- redo deps
- fix build

* Tue Feb 11 2020 umeabot <umeabot> 0.4.0-22.mga8
+ Revision: 1489137
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 11 2018 wally <wally> 0.4.0-21.mga7
+ Revision: 1258462
- fix lib pkg name
- add patch to fix defining inline

* Sun Jun 03 2018 wally <wally> 0.4.0-20.mga7
+ Revision: 1234012
- drop old conflicts
- use new make macros
- fix build on aarch64

* Wed Feb 03 2016 umeabot <umeabot> 0.4.0-18.mga6
+ Revision: 933135
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-17.mga5
+ Revision: 743571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-16.mga5
+ Revision: 681845
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-15.mga4
+ Revision: 507443
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-14.mga3
+ Revision: 358378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 21 2011 fwang <fwang> 0.4.0-13.mga2
+ Revision: 146367
- drop .la files

* Fri Jan 14 2011 dmorgan <dmorgan> 0.4.0-12.mga1
+ Revision: 17716
- Get rid of mdv macros
- imported package libvisual


* Thu Dec 23 2010 Funda Wang <fwang@mandriva.org> 0.4.0-11mdv2011.0
+ Revision: 623953
- new devel package policy
- tighten BR

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-10mdv2011.0
+ Revision: 602611
- rebuild

* Sun Dec 27 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-9mdv2010.1
+ Revision: 482793
- suggest libvisual-plugins (bug #56679)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.0-8mdv2010.0
+ Revision: 425874
- rebuild

* Sun Apr 12 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-7mdv2009.1
+ Revision: 366507
- readd format string patch
- readd the patch

* Sun Apr 12 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-6mdv2009.1
+ Revision: 366496
- drop format string patch (bug #49801)
- disable format string Werror
- update license

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0.4.0-5mdv2009.1
+ Revision: 365704
- fix str fmt

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-5mdv2009.0
+ Revision: 223016
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-4mdv2008.1
+ Revision: 179006
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-2mdv2007.0
+ Revision: 108198
- use the right macros

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version
    - import libvisual-0.2.0-5mdk

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-5mdk
- rebuild for sparc

* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.2.0-4mdk
- reconstruct from cvs
- only build lv_video_mmx.c with -mmmx

* Tue Jun 21 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-3mdk
- enable mmx

* Sat Feb 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.0-2mdk
- Patch1: fix ppc build

* Thu Feb 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Tue Nov 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.7-3mdk
- fix provides

* Sat Oct 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.7-2mdk
- fix openGL build

* Sat Oct 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.7-1mdk
- New release 0.1.7

* Mon Sep 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- New release 0.1.6

* Thu Jul 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- fix installation
- New release 0.1.5

* Sat Jun 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- initial package

